--
-- AttachingPipes
-- Specialization for AttachingPipes
--
-- @author  FIAT80-90DT
-- @date  11.11.2012
--

AttachingPipes = {};

function AttachingPipes.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function AttachingPipes:load(xmlFile)
	self.pipeNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.pipeNode#index"));
end;

function AttachingPipes:delete()
end;

function AttachingPipes:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AttachingPipes:keyEvent(unicode, sym, modifier, isDown)
end;

function AttachingPipes:update(dt)
end;

function AttachingPipes:updateTick(dt)	
end;

function AttachingPipes:draw()
end;

function AttachingPipes:onAttach(attacherVehicle)
	setVisibility(self.pipeNode, true);
end;

function AttachingPipes:onDetach()
	setVisibility(self.pipeNode, false);
end;
